%% function p14_show
% 28.4.2014 J. Gaspar

% Abre ficheiro simulink, para aparecer em modo publish
%
open('p14.mdl')

%% Simula o sistema (nao precisa ficheiro simulink aberto)
% e cria vars no workspace 'theta_estim' & 'ref_and_output_h'
%
sim('p14')

%% Mostra resultados
% Estimacao do ganho sobre perda de agua no tanque \theta*\sqrt{h}.
% O valor \theta=2  correctamente estimado ao fim de pouco tempo

figure(201); clf
plot(theta_estim.time, theta_estim.signals.values, '.-')
xlabel('time [sec]')
ylabel('gain \theta')

%% Resultado final: referencia e output de altura h
% No exemplo actual existe o cuidado de a referencia se manter constante
% (apos o step inicial). Lembrar que a solucao do problema assume h=const.
%
% O resultado mostra que a referencia e' seguida ao fim de pouco tempo.
% Lembrar que \theta inicial tem valor zero, e portanto o output h so'
% pode ser fiel apos a estimacao fidedigna de \theta.

figure(202); clf
plot(ref_and_output_h.time, ref_and_output_h.signals.values, '.-')
xlabel('time [sec]')
legend('reference h', 'output h')

%% Outros testes:
% Outros testes interessantes podem ser realizados abrindo p14.mdl
% Em particular existem mais dois casos de sinais de referencia:
% (i) sequencia de steps, contraria hipotese de suavidade
% (ii) sequencia de steps suavizada
